Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider
Class DefaultDecider

    java.lang.Object
      org.drools.planner.core.localsearch.decider.DefaultDecider

All Implemented Interfaces:
  EventListener, Decider, LocalSearchSolverPhaseLifecycleListener, LocalSearchSolverAware

    public class DefaultDecider

extends Object
implements Decider

Default implementation of `Decider`.

Field Summary
`protected Acceptor` | `acceptor`
`protected boolean` | `assertMoveScoreIsUncorrupted`
`protected boolean` | `assertUndoMoveIsUncorrupted`
`protected DeciderScoreComparatorFactory` | `deciderScoreComparatorFactory`
`protected Forager` | `forager`
`protected LocalSearchSolverPhase` | `localSearchSolverPhase`
`protected org.slf4j.Logger` | `logger`
`protected Selector` | `selector`

Constructor Summary
`DefaultDecider()`

Method Summary
`void` | `beforeDeciding(LocalSearchStepScope localSearchStepScope)`
`void` | `decideNextStep(LocalSearchStepScope localSearchStepScope)` Decides the next step
`DeciderScoreComparatorFactory` | `getDeciderScoreComparator()`
`Forager` | `getForager()`
`void` | `phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `setAcceptor(Acceptor acceptor)`
`void` | `setAssertMoveScoreIsUncorrupted(boolean assertMoveScoreIsUncorrupted)`
`void` | `setAssertUndoMoveIsUncorrupted(boolean assertUndoMoveIsUncorrupted)`
`void` | `setDeciderScoreComparator(DeciderScoreComparatorFactory deciderScoreComparator)`
`void` | `setForager(Forager forager)`
`void` | `setLocalSearchSolverPhase(LocalSearchSolverPhase localSearchSolverPhase)`
`void` | `setSelector(Selector selector)`
`void` | `stepDecided(LocalSearchStepScope localSearchStepScope)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### localSearchSolverPhase

    protected LocalSearchSolverPhase localSearchSolverPhase

### deciderScoreComparatorFactory

    protected DeciderScoreComparatorFactory deciderScoreComparatorFactory

### selector

    protected Selector selector

### acceptor

    protected Acceptor acceptor

### forager

    protected Forager forager

### assertMoveScoreIsUncorrupted

    protected boolean assertMoveScoreIsUncorrupted

### assertUndoMoveIsUncorrupted

    protected boolean assertUndoMoveIsUncorrupted

Constructor Detail

### DefaultDecider

    public DefaultDecider()

Method Detail

### setLocalSearchSolverPhase

    public void setLocalSearchSolverPhase(LocalSearchSolverPhase localSearchSolverPhase)

  Specified by:
    `setLocalSearchSolverPhase` in interface `LocalSearchSolverAware`

### getDeciderScoreComparator

    public DeciderScoreComparatorFactory getDeciderScoreComparator()

  Specified by:
    `getDeciderScoreComparator` in interface `Decider`
  Returns:
    never null

### setDeciderScoreComparator

    public void setDeciderScoreComparator(DeciderScoreComparatorFactory deciderScoreComparator)

### setSelector

    public void setSelector(Selector selector)

### setAcceptor

    public void setAcceptor(Acceptor acceptor)

### getForager

    public Forager getForager()

  Specified by:
    `getForager` in interface `Decider`
  Returns:
    never null

### setForager

    public void setForager(Forager forager)

### setAssertMoveScoreIsUncorrupted

    public void setAssertMoveScoreIsUncorrupted(boolean assertMoveScoreIsUncorrupted)

### setAssertUndoMoveIsUncorrupted

    public void setAssertUndoMoveIsUncorrupted(boolean assertUndoMoveIsUncorrupted)

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`

### beforeDeciding

    public void beforeDeciding(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `beforeDeciding` in interface `LocalSearchSolverPhaseLifecycleListener`

### decideNextStep

    public void decideNextStep(LocalSearchStepScope localSearchStepScope)

  Description copied from interface: `Decider`
  Decides the next step

  Specified by:
    `decideNextStep` in interface `Decider`
  Parameters:
    `localSearchStepScope` - never null

### stepDecided

    public void stepDecided(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepDecided` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepTaken

    public void stepTaken(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepTaken` in interface `LocalSearchSolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchSolverPhaseLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.